<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <body>
        <ui:component>
            <p:dialog
                id="editUser"
                header="Editar Registro"
                widgetVar="EditarActivo"
                modal="true"
                resizable="false"
                closable="true"
                width="600" >
                <h:panelGroup id="detalleEditar">
                    <h:form id="edit">
                        <h:panelGrid columns="2" >
                            <p:column>
                                <p:inputText value="#{folioMB.activoSeleccionado.id}" id="id" type="hidden" />
                            </p:column>
                            <p:column> 
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="id2" value="Id : " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="id2" value="#{folioMB.activoSeleccionado.id}" readonly="true" style="width: 350px" />
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="folio" value="Folio: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="folio" value="#{folioMB.activoSeleccionado.folio}" style="width: 350px" readonly="true" />
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="neto" value="Peso Neto: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="neto" value="#{folioMB.activoSeleccionado.peso_neto}" style="width: 350px" readonly="true" />
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="japon" value="Japón: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="japon" value="#{folioMB.activoSeleccionado.japon}" style="width: 350px" 
                                             required ="true" requiredMessage="El campo es requerido:japón"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="segundas" value="Segundas: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="segundas" value="#{folioMB.activoSeleccionado.segundas}" style="width: 350px" 
                                             required ="true" requiredMessage="El campo es requerido:segundas"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="terceras" value="Terceras: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="terceras" value="#{folioMB.activoSeleccionado.terceras}" style="width: 350px" 
                                             required ="true" requiredMessage="El campo es requerido:terceras"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="torreon" value="Torreon " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="torreon" value="#{folioMB.activoSeleccionado.torreon}" style="width: 350px" 
                                             required ="true" requiredMessage="El campo es requerido:torreon"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="coleada" value="Coleada: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="coleada" value="#{folioMB.activoSeleccionado.coleada}" style="width: 350px" 
                                             required ="true" requiredMessage="El campo es requerido:coleada"/>
                            </p:column>
                            
                            
                            <p:column >
                                <div style="text-align: center;">
                                    <p:commandButton
                                        value="Confirmación"
                                        style="font-size:  100%"
                                        icon="ui-icon-pencil"
                                        action="#{folioMB.editarRegitro(folioMB.activoSeleccionado)}">
                                    </p:commandButton>
                                </div>
                            </p:column>
                            <p:column>
                                <div style="text-align: center;">
                                    <p:commandButton
                                        value="Cerrar"
                                        type="button"
                                        icon="ui-icon-circle-close"
                                        style="font-size:  100%" 
                                        onclick="PF('EditarActivo').hide();">
                                    </p:commandButton>
                                </div>
                            </p:column>
                        </h:panelGrid> 
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
